GrailsContextLoaderListener (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.context
[Java] Class GrailsContextLoaderListener

    java.lang.Object
      org.springframework.web.context.ContextLoader
          org.springframework.web.context.ContextLoaderListener
              org.codehaus.groovy.grails.web.context.GrailsContextLoaderListener

    public class GrailsContextLoaderListener
    extends org.springframework.web.context.ContextLoaderListener

Extends the Spring default ContextLoader to load GrailsApplicationContext.

Authors:
  Graeme Rocher

Field Summary

Fields inherited from class org.springframework.web.context.ContextLoaderListener
CONTEXT_ID_PARAM, CONFIG_LOCATION_PARAM, CONTEXT_CLASS_PARAM, CONTEXT_INITIALIZER_CLASSES_PARAM, GLOBAL_INITIALIZER_CLASSES_PARAM, LOCATOR_FACTORY_SELECTOR_PARAM, LOCATOR_FACTORY_KEY_PARAM

Fields inherited from class org.springframework.web.context.ContextLoader
CONTEXT_ID_PARAM, CONFIG_LOCATION_PARAM, CONTEXT_CLASS_PARAM, CONTEXT_INITIALIZER_CLASSES_PARAM, GLOBAL_INITIALIZER_CLASSES_PARAM, LOCATOR_FACTORY_SELECTOR_PARAM, LOCATOR_FACTORY_KEY_PARAM

Method Summary
`protected org.springframework.web.context.ContextLoader` | `createContextLoader()`

Methods inherited from class org.springframework.web.context.ContextLoaderListener
org.springframework.web.context.ContextLoaderListener#contextInitialized(javax.servlet.ServletContextEvent), org.springframework.web.context.ContextLoaderListener#getContextLoader(), org.springframework.web.context.ContextLoaderListener#contextDestroyed(javax.servlet.ServletContextEvent), org.springframework.web.context.ContextLoaderListener#getCurrentWebApplicationContext(), org.springframework.web.context.ContextLoaderListener#initWebApplicationContext(javax.servlet.ServletContext), org.springframework.web.context.ContextLoaderListener#closeWebApplicationContext(javax.servlet.ServletContext), org.springframework.web.context.ContextLoaderListener#wait(long, int), org.springframework.web.context.ContextLoaderListener#wait(long), org.springframework.web.context.ContextLoaderListener#wait(), org.springframework.web.context.ContextLoaderListener#equals(java.lang.Object), org.springframework.web.context.ContextLoaderListener#toString(), org.springframework.web.context.ContextLoaderListener#hashCode(), org.springframework.web.context.ContextLoaderListener#getClass(), org.springframework.web.context.ContextLoaderListener#notify(), org.springframework.web.context.ContextLoaderListener#notifyAll()

Methods inherited from class org.springframework.web.context.ContextLoader
org.springframework.web.context.ContextLoader#getCurrentWebApplicationContext(), org.springframework.web.context.ContextLoader#initWebApplicationContext(javax.servlet.ServletContext), org.springframework.web.context.ContextLoader#closeWebApplicationContext(javax.servlet.ServletContext), org.springframework.web.context.ContextLoader#wait(long, int), org.springframework.web.context.ContextLoader#wait(long), org.springframework.web.context.ContextLoader#wait(), org.springframework.web.context.ContextLoader#equals(java.lang.Object), org.springframework.web.context.ContextLoader#toString(), org.springframework.web.context.ContextLoader#hashCode(), org.springframework.web.context.ContextLoader#getClass(), org.springframework.web.context.ContextLoader#notify(), org.springframework.web.context.ContextLoader#notifyAll()

Method Detail

### createContextLoader

    @java.lang.Override
    protected org.springframework.web.context.ContextLoader createContextLoader()

Groovy Documentation